; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Access elements of nested lists.

; ---args---
; X - list

; ---keywords---
; CAAR, CADR, CDAR, CDDR
; lists, selector, decomposition

; ---see-also---
; caaaar, caaar

; ---example---
; (cadr '(first second third fourth fifth sixth seventh eighth))

; ---code---
(defun caar (x) (car (car x)))
(defun cadr (x) (car (cdr x)))
(defun cdar (x) (cdr (car x)))
(defun cddr (x) (cdr (cdr x)))
