; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Decrement a natural number by one.

; ---args---
; X - natural number

; ---keywords---
; DECR function, decrement, subtract, natural, number

; ---see-also---
; digits, incr, difference

; ---example---
; (decr '#5)

:c lib/digits.l
:c lib/difference.l

; ---code---
(defun decr (x) (difference x '#1))
