; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Test a number for being even.

; ---args---
; X - number

; ---keywords---
; EVENP function, even, odd, numbers, digits, predicate

; ---see-also---
; digits, oddp, zerop, numberp, minusp

; ---example---
; (evenp '#2)

:c lib/digits.l
:c lib/integer.l
:c lib/memb.l

; ---code---
(defun evenp(x) (memb (car (reverse (integer x))) '#02468))
