; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Compute X!. X may be a either a natural
; or an integer number.

; ---args---
; X - number

; ---keywords---
; FAC function, factorial

; ---see-also---
; digits, expt, gcd, product, sum

; ---example---
; (fac '#5)

(define fac t)

:c lib/digits.l
:c lib/zerop.l
:c lib/product.l

; ---code---
(defun fac (x) 
	(cond ((zerop x) '#1)
		(t (product '#1 x))))
