; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Check if two integer numbers are in descending
; order. Return *T*, if A>B and otherwise *F*.

; ---args---
; A - integer number
; B - integer number

; ---keywords---
; IGREATERP function, greater than, ordering
; relation, comparison, predicate, integer

; ---see-also---
; digits, ingreaterp, greaterp, rgreaterp, ilessp, equal

; ---example---
; (igreaterp '#-55 '#-77)

:c lib/ilessp.l

; ---code---
(defun igreaterp (a b) (ilessp b a))
