; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Check if two integer numbers are not in ascending
; order. Return *T*, if A<=B (A not greater than B)
; and otherwise *F*.

; ---args---
; A - integer number
; B - integer number

; ---keywords---
; INGREATERP function, not greater than, less than or equal to,
; ordering, relation, comparison, predicate, integer

; ---see-also---
; digits, igreaterp, ngreaterp, rngreaterp, inlessp, equal

; ---example---
; (ingreaterp '#-7 '#-5)

:c lib/igreaterp.l

; ---code---
(defun ingreaterp (a b) (cond ((igreaterp a b) *f*) (t t)))
