; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Check if two integer numbers are not in ascending
; order. Return *T*, if A>=B (A not less than B) and
; otherwise *F*.

; ---args---
; A - list of digits
; B - list of digits

; ---keywords---
; INLESSP function, not less than, greater than or equal to,
; ordering, relation, comparison, predicate, integer

; ---see-also---
; digits, ilessp, nlessp, rnlessp, ingreaterp, equal

; ---example---
; (inlessp '#7 '#5)

:c lib/ilessp.l

; ---code---
(defun inlessp (a b) (cond ((ilessp a b) *f*) (t t)))
