; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Test if a number is an integer number.
; An integer number is a natural number with a sign.

; ---args---
; A - number

; ---keywords---
; INTEGERP function, numeric, numbers, digits, predicate, integer

; ---see-also---
; digits, natural, naturalp, rationalp, integer, numberp, zerop

; ---example---
; (integerp '#-567)

:c lib/digits.l

; ---code---
(defun integerp(a)
	(cond ((eq (car a) '+) *t*)
		(t (eq (car a) '-))))
