; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Compute the remainder of the division
; of two integer numbers.

; ---args---
; A - integer number (dividend)
; B - integer number (divisor)

; ---keywords---
; IREMAINDER function, division, remainder, division remainder
; modulus, arithmetics, integer

; ---see-also---
; digits, remainder, rquotient, idivide, iquotient, iplus, idifference
; itimes

; ---example---
; (iremainder '#123 '#-23)

(define iremainder t)

:c lib/idivide.l
:c lib/caar.l
;c lib/cadr.l

; ---code---
(defun iremainder (a b) (cadr (idivide a b)))
