; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Check if an expression is a literal (non-NIL) atom.

; ---args---
; X - expression

; ---keywords---
; LITATOM function, atom, literal atom, symbol, predicate

; ---see-also---
; pairp, listp

; ---example---
; (litatom 'xyz)

:c lib/logand.l
:c lib/lognot.l

; ---code---
(defun litatom (x) (logand (atom x) (lognot (null x))))

