; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Logical negative product (NAND).

; ---args---
; A - truth value
; B - truth value

; ---keywords---
; LOGNAND function, NAND, logical negative AND
; logical negative product

; ---see-also---
; logand, logeqv, logneqv, lognor, lognot, logor

; ---example---
; (lognand *f* t)

; ---code---
(defun lognand (a b) (cond ((eq a *f*) t) (b *f*) (t t)))
