; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Logical sum (OR).

; ---args---
; A - truth value
; B - truth value

; ---keywords---
; LOGOR function, OR, logical OR, logical sum

; ---see-also---
; logand, logeqv, lognand, logneqv, lognor, lognot

; ---example---
; (logor t *f*)

; ---code---
(defun logor (a b) (cond (a t) (t b)))
