; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Compare two lists (S-expressions, in fact) with negative result.

; ---args---
; A - expression
; B - expression

; ---keywords---
; NEQUAL function, negative equivalence, relation, comparison
; predicate

; ---see-also---
; equal, neq, member, subst

; ---example---
; (nequal '(a b (c d (e)) f) '(x b (c d (e)) f))

:c lib/equal.l

; ---code---
(defun nequal (a b) (cond ((equal a b) *f*) (t t)))
