; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Check if two natural numbers are not in descending
; order. Return *T*, if A<=B (A not greater than B)
; and otherwise *F*.

; ---args---
; A - natural number
; B - natural number

; ---keywords---
; NGREATERP function, not greater than, less than or equal to,
; ordering, relation, comparison, predicate, natural

; ---see-also---
; digits, greaterp, ingreaterp, rngreaterp, nlessp, equal

; ---example---
; (ngreaterp '#5 '#5)

:c lib/greaterp.l

; ---code---
(defun ngreaterp (a b) (cond ((greaterp a b) *f*) (t t)))
