; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Check if two natural numbers are not in ascending
; order. Return *T*, if A>=B (A not less than B) and
; otherwise *F*.

; ---args---
; A - natural number
; B - natural number

; ---keywords---
; NLESSP function, not less than, greater than or equal to,
; ordering, relation, comparison, predicate, natural

; ---see-also---
; digits, lessp, inlessp, rnlessp, ngreaterp, equal

; ---example---
; (nlessp '#7 '#5)

:c lib/lessp.l

; ---code---
(defun nlessp (a b) (cond ((lessp a b) *f*) (t t)))
