; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Extract the numerator of a rational number.

; ---args---
; X - rational number

; ---keywords---
; NUMERATOR function, numerator, arithmetics, rational

; ---see-also---
; digits, denominator, rquotient

; ---example---
; (numerator '(/ #2 #3))

:c lib/digits.l
:c lib/caar.l
;c lib/cadr.l

; ---code---
(define numerator cadr)

