; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Test a number for being odd.

; ---args---
; X - number

; ---keywords---
; ODDP function, odd, even, numbers, digits, predicate

; ---see-also---
; digits, evenp, zerop, numberp, minusp

; ---example---
; (oddp '#3)

:c lib/digits.l
:c lib/integer.l
:c lib/memb.l

; ---code---
(defun oddp(x) (memb (car (reverse (integer x))) '#13579))
