; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Check if a number is positive.

; ---args---
; X - number

; ---keywords---
; PLUSP function, positive value, sign, predicate
; rational, integer, natural

; ---see-also---
; digits, minusp, zerop, numberp, minus, abs

; ---example---
; (plusp '#567)

:c lib/digits.l
:c lib/lognor.l
:c lib/zerop.l
:c lib/minusp.l

; ---code---
(defun plusp (x) (lognor (minusp x) (zerop x)))
