; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Divide two natural numbers. Return their quotient.

; ---args---
; A - natural number (dividend)
; B - natural number (divisor)

; ---keywords---
; QUOTIENT function, quotient, divide, division
; arithmetics, natural

; ---see-also---
; digits, iquotient, rquotient, divide, remainder, plus
; difference, times

; ---example---
; (quotient '#100 '#8)

(define quotient t)

:c lib/divide.l

; ---code---
(defun quotient (a b) (car (divide a b)))
