; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Convert a natural, integer, or rational
; number to a rational number.

; ---args---
; A - number

; ---keywords---
; RATIONAL function, numeric, numbers, digits, natural, integer
; rational

; ---see-also---
; digits, natural, integer, rationalp, numberp

; ---example---
; (rational '#-345)

:c lib/digits.l

; ---code---
(defun rational(a)
	(cond ((eq (car a) '/) a)
		(t (list '/ a '#1))))
