; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Compute the remainder of the division
; of two natural numbers.

; ---args---
; A - natural number (dividend)
; B - natural number (divisor)

; ---keywords---
; REMAINDER function, division, remainder, division remainder
; modulus, arithmetics, natural

; ---see-also---
; digits, iremainder, divide, quotient, plus, difference
; times

; ---example---
; (remainder '#100 '#8)

(define remainder t)

:c lib/divide.l
:c lib/caar.l
;c lib/cadr.l

; ---code---
(defun remainder (a b) (cadr (divide a b)))
