; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Check if two rational numbers are in descending
; order. Return *T*, if A>B and otherwise *F*.

; ---args---
; A - rational number
; B - rational number

; ---keywords---
; RGREATERP function, greater than, ordering
; relation, comparison, predicate, rational

; ---see-also---
; digits, rngreaterp, greaterp, igreaterp, rlessp, equal

; ---example---
; (rgreaterp '(/ #2 #3) '(/ #4 #5))

:c lib/rlessp.l

; ---code---
(defun rgreaterp (a b) (rlessp b a))
