; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Load rational math functions.

; ---keywords---
; Mathematics, arithmetics, rational numbers, computations

; ---see-also---
; math, imath, logop
; abs, decr, denominator, digits, equal, equalize, evenp, fac
; gcd, incr, integer, integerp, iota, minus, minusp, natural
; naturalp, nequal, normalize, numberp, onep, oddp, plusp
; product, rational, rationalp, rdifference, rexpt, rgreaterp
; rlessp, rmax, rmin, rngreaterp, rnlessp, rplus, rquotient
; rsquareroot, rtimes, sum, zerop

(define rmath t)

; ---code---
:c lib/abs.l
:c lib/decr.l
:c lib/denominator.l
:c lib/digits.l
:c lib/equal.l
:c lib/equalize.l
:c lib/evenp.l
:c lib/fac.l
:c lib/gcd.l
:c lib/hyper.l
:c lib/incr.l
:c lib/integer.l
:c lib/integerp.l
:c lib/iota.l
:c lib/minus.l
:c lib/minusp.l
:c lib/natural.l
:c lib/naturalp.l
:c lib/nequal.l
:c lib/normalize.l
:c lib/numberp.l
:c lib/onep.l
:c lib/oddp.l
:c lib/plusp.l
:c lib/product.l
:c lib/rational.l
:c lib/rationalp.l
:c lib/rdifference.l
:c lib/rexpt.l
:c lib/rgreaterp.l
:c lib/rlessp.l
:c lib/rmax.l
:c lib/rmin.l
:c lib/rngreaterp.l
:c lib/rnlessp.l
:c lib/rplus.l
:c lib/rquotient.l
:c lib/rsquareroot.l
:c lib/rtimes.l
:c lib/sum.l
:c lib/zerop.l
