; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Find the successor of a decimal digit.
; -
; (SUCC 9) => NIL

; ---args---
; X - digit

; ---keywords---
; SUCC function, successor, numbers, digits

; ---see-also---
; digits, pred

; ---example---
; (succ '3)

:c lib/digits.l

; ---code---
(defun succ (x)
	(cond ((eq x 0) 1)
		((eq x 1) 2)
		((eq x 2) 3)
		((eq x 3) 4)
		((eq x 4) 5)
		((eq x 5) 6)
		((eq x 6) 7)
		((eq x 7) 8)
		((eq x 8) 9)
		((eq x 9) nil)
		(t (bottom 'type-error))))
