; M-Expression Example Program
; Copyright (C) 2004,2005 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Append two lists, M-expression version.

; ---keywords---
; M-expression, append, MEXPRC

; ---example---
; :l src/mexprc.l
; :l src/append.m
; (m-expr-compile **)
; (eval **)
; (m-expr-eval '( append[ {first, second}, {third, fourth} ] ))

; ---model---
'(
append[a,b] :=
	[null[a]-> b:
		cons[car[a], append[cdr[a], b]]]
)

; ---code---
'(
append[a,b] :=
	rappend[reverse[a], b]
	where
	rappend[a,b] :=
		[null[a]-> b:
		rappend[cdr[a], cons[car[a], b]]]
)

