; M-Expression Example Program
; Copyright (C) 2004,2005 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Compute the factorial of an integer, M-expression version.

; ---keywords---
; M-expression, factorial, fac, MEXPRC

; ---example---
; :l src/mexprc.l
; :l src/fac.m
; (m-expr-compile **)
; (eval **)
; (m-expr-eval '( fac[20] ))

; ---code---
'(
fac[x] := [x=0 -> 1 : fac[x-1] * x]
)
