; ArrowLISP Extended Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Test if two dates are in reverse chronological
; order. Return *T*, if the first date is 'after'
; the second one and otherwise *F*.
; -
; See DATE for a description of the date format.

; ---args---
; DATE1 - date
; DATE2 - date

; ---keywords---
; DATE-AFTER-P function, date, time
; reverse chronological order, predicate

; ---see-also---
; date, date-before-p, date-difference

; ---example---
; (date-after-p '(#1969 #7 #21) '(#1970 #1 #1))

:c ext/date-before-p.l

; ---code---
(defun date-after-p (date1 date2)
	(date-before-p date2 date1))
