; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Apply a function to a list of arguments.
; --
; NOTICE: this is *not* the APPLY function
; commonly found in LISP. This version of
; APPLY does evaluate its arguments, which
; it should not do.

; ---args---
; F - function
; ARGS - list of arguments

; ---keywords---
; APPLY function, application, evaluation, apply, eval

; ---see-also---
; reduce, mapcar

; ---example---
; (apply cons '('a 'b))

; ---code---
(defun apply (f args) (eval (cons f args)))
