; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Check if two natural numbers are in descending
; order. Return *T*, if A>B and otherwise *F*.

; ---args---
; A - natural number
; B - natural number

; ---keywords---
; GREATERP function, greater than, ordering
; relation, comparison, predicate, natural

; ---see-also---
; digits, ngreaterp, igreaterp, rgreaterp, lessp, equal

; ---example---
; (greaterp '#5 '#7)

:c lib/lessp.l

; ---code---
(defun greaterp (a b) (lessp b a))
