; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Load integer math functions.

; ---keywords---
; Mathematics, arithmetics, integer numbers, computations

; ---see-also---
; math, rmath, logop
; abs, digits, gcd, decr, evenp, equal, fac, idifference
; idivide, iexpt, igreaterp, ilessp, imax, imin, incr, ingreaterp
; inlessp, integer, integerp, iota, iplus, iquotient, iremainder
; itimes, minus, minusp, natural, naturalp, nequal, normalize
; numberp, onep, oddp, plusp, product, squareroot, sum, zerop

(define imath *t*)

; ---code---
:c lib/abs.l
:c lib/digits.l
:c lib/fac.l
:c lib/gcd.l
:c lib/decr.l
:c lib/equal.l
:c lib/evenp.l
:c lib/fac.l
:c lib/hyper.l
:c lib/idifference.l
:c lib/idivide.l
:c lib/iexpt.l
:c lib/igreaterp.l
:c lib/ilessp.l
:c lib/imax.l
:c lib/imin.l
:c lib/incr.l
:c lib/ingreaterp.l
:c lib/inlessp.l
:c lib/integer.l
:c lib/integerp.l
:c lib/iota.l
:c lib/iplus.l
:c lib/iquotient.l
:c lib/iremainder.l
:c lib/itimes.l
:c lib/minus.l
:c lib/minusp.l
:c lib/natural.l
:c lib/naturalp.l
:c lib/nequal.l
:c lib/normalize.l
:c lib/numberp.l
:c lib/onep.l
:c lib/oddp.l
:c lib/plusp.l
:c lib/product.l
:c lib/squareroot.l
:c lib/sum.l
:c lib/zerop.l
