; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Increment a natural number by one.

; ---args---
; X - natural number

; ---keywords---
; INCR function, increment, add, natural, number

; ---see-also---
; digits, decr, plus

; ---example---
; (incr '#4)

:c lib/digits.l
:c lib/plus.l

; ---code---
(defun incr (x) (plus x '#1))
