; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Divide two integer numbers, returning their
; quotient.

; ---args---
; A - integer number (dividend)
; B - integer number (divisor)

; ---keywords---
; IQUOTIENT function, quotient, divide, division, arithmetics
; integer

; ---see-also---
; digits, quotient, rquotient, idivide, iremainder, iplus
; idifference, itimes

; ---example---
; (iquotient '#123 '#-23)

(define iquotient t)

:c lib/idivide.l

; ---code---
(defun iquotient (a b) (car (idivide a b)))
