; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Load the ArrowLISP list processing functions into memory.

; ---keywords---
; list processing functions, routines, subroutines

; ---see-also---
; any, append, assoc, caaaar, caaar, caar, copy, count, depth
; equal, every, filter, headp, insert, intersection, iota, isort
; last, length, listp, litatom, map, mapcar, maplis, memb
; member, nequal, nth, orderedp, pair, pairp, permute, quicksort
; reduce, remove, reverse, sassoc, some, sort, sublis, subst
; tailp, union, unique, unsort

(define listproc t)

; ---code---
:c lib/any.l
:c lib/append.l
:c lib/assoc.l
:c lib/caaaar.l
:c lib/caaar.l
:c lib/caar.l
:c lib/copy.l
:c lib/count.l
:c lib/depth.l
:c lib/equal.l
:c lib/every.l
:c lib/filter.l
:c lib/headp.l
:c lib/insert.l
:c lib/intersection.l
:c lib/iota.l
:c lib/isort.l
:c lib/last.l
:c lib/length.l
:c lib/listp.l
:c lib/litatom.l
:c lib/map.l
:c lib/mapcar.l
:c lib/maplis.l
:c lib/memb.l
:c lib/member.l
:c lib/nequal.l
:c lib/nth.l
:c lib/orderedp.l
:c lib/pair.l
:c lib/pairp.l
:c lib/permute.l
:c lib/quicksort.l
:c lib/reduce.l
:c lib/remove.l
:c lib/reverse.l
:c lib/sassoc.l
:c lib/some.l
:c lib/sort.l
:c lib/sublis.l
:c lib/subst.l
:c lib/tailp.l
:c lib/union.l
:c lib/unique.l
:c lib/unsort.l
