; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Logical product (AND).

; ---args---
; A - truth value
; B - truth value

; ---keywords---
; LOGAND function, AND, logical AND, logical product

; ---see-also---
; logeqv, lognand, logneqv, lognor, lognot, logor

; ---example---
; (logand t t)

; ---code---
(defun logand (a b) (cond (a b) (t *f*)))
