; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Logical negative equivalence (XOR).

; ---args---
; A - truth value
; B - truth value

; ---keywords---
; LOGNEQV function, logical negative equivalence
; logical difference, logical XOR, logical exclusive OR

; ---see-also---
; logand, logeqv, lognand, lognor, lognot, logor

; ---example---
; (logneqv t *f*)

; ---code---
(defun logneqv (a b) (cond ((eq a b) *f*) (t t)))
