; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Logical negative sum (NOR).

; ---args---
; A - truth value
; B - truth value

; ---keywords---
; LOGNOR function, NOR, logical negative OR
; logical negative sum

; ---see-also---
; logand, logeqv, lognand, logneqv, lognot, logor

; ---example---
; (lognor *f* *f*)

; ---code---
(defun lognor (a b) (cond (a *f*) (b *f*) (t t)))
