; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Load natural math functions.

; ---keywords---
; Mathematics, arithmetics, natural numbers, computations

; ---see-also---
; imath, rmath, logop
; digits, abs, decr, difference, divide, equal, evenp, expt, fac
; gcd, greaterp, incr, iota, lessp, max, min, natural, naturalp
; nequal, ngreaterp, nlessp, normalize, numberp, onep, oddp, plus
; plusp, product, quotient, remainder, squareroot, sum, times
; zerop

(define math t)

; ---code---
:c lib/digits.l
:c lib/abs.l
:c lib/decr.l
:c lib/difference.l
:c lib/divide.l
:c lib/equal.l
:c lib/evenp.l
:c lib/expt.l
:c lib/fac.l
:c lib/gcd.l
:c lib/greaterp.l
:c lib/hyper.l
:c lib/incr.l
:c lib/iota.l
:c lib/lessp.l
:c lib/max.l
:c lib/min.l
:c lib/natural.l
:c lib/naturalp.l
:c lib/nequal.l
:c lib/ngreaterp.l
:c lib/nlessp.l
:c lib/normalize.l
:c lib/numberp.l
:c lib/onep.l
:c lib/oddp.l
:c lib/plus.l
:c lib/plusp.l
:c lib/product.l
:c lib/quotient.l
:c lib/remainder.l
:c lib/squareroot.l
:c lib/sum.l
:c lib/times.l
:c lib/zerop.l
