; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Check if a number is negative.

; ---args---
; X - number

; ---keywords---
; MINUSP function, negative value, sign, predicate
; rational, integer, natural

; ---see-also---
; digits, numberp, plusp, zerop, minus, abs

; ---example---
; (minusp '#-567)

:c lib/digits.l
:c lib/numerator.l

; ---code---
(defun minusp (x)
	(cond ((eq (car x) '/)
			(minusp (numerator x)))
		(t (eq (car x) '-))))

