; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Test if a number is a natural number.
; See DIGITS for defintions of numbers.

; ---args---
; A - number

; ---keywords---
; NATURALP function, numeric, numbers, digits, predicate, natural

; ---see-also---
; digits, natural, integerp, rationalp, numberp, zerop

; ---example---
; (naturalp '#567)

:c lib/digits.l

; ---code---
(defun naturalp(a)
	(cond ((eq (car a) '+) *f*)
		((eq (car a) '-) *f*)
		((eq (car a) '/) *f*)
		(t *t*)))
