; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Check if an expression is a pair (not an atom).

; ---args---
; X - expression

; ---keywords---
; PAIRP function, atom, non-atom, list, pair

; ---see-also---
; listp, pair, litatom

; ---example---
; (pairp '(a.b))

; ---code---
(defun pairp (x) (cond ((atom x) *f*) (t t)))
