; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Find the predecessor of a decimal digit.
; -
; (PRED 0) => NIL.

; ---args---
; X - digit

; ---keywords---
; PRED function, predecessor, numbers, digits

; ---see-also---
; digits, succ

; ---example---
; (pred '5)

:c lib/digits.l

; ---code---
(defun pred (x)
	(cond ((eq x 0) nil)
		((eq x 1) 0)
		((eq x 2) 1)
		((eq x 3) 2)
		((eq x 4) 3)
		((eq x 5) 4)
		((eq x 6) 5)
		((eq x 7) 6)
		((eq x 8) 7)
		((eq x 9) 8)
		(t (bottom 'type-error))))
