; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Reverse the order of members of a list.

; ---args---
; A - list

; ---keywords---
; REVERSE function, lists, reverse, ordering

; ---see-also---
; append, length, map, equal

; ---example---
; (reverse '(first second third))

;c lib/append.l

; ---model---
; (defun reverse (a)
; 	(cond ((null a) a)
; 		(t (append (reverse (cdr a)) (list (car a))))))

; ---code---
(defun reverse (a)
	(label ((rev (lambda (a b)
		(cond ((null a) b)
			(t (rev (cdr a) (cons (car a) b)))))))
	(rev a nil)))
