; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Check if two rational numbers are not in ascending
; order. Return *T*, if A<=B (A not greater than B)
; and otherwise *F*.

; ---args---
; A - rational number
; B - rational number

; ---keywords---
; RNGREATERP function, not greater than, less than or equal to,
; ordering, relation, comparison, predicate, rational

; ---see-also---
; digits, rgreaterp, ngreaterp, ingreaterp, rnlessp, equal

; ---example---
; (rngreaterp '(/ #2 #3) '(/ #4 #5))

:c lib/rgreaterp.l

; ---code---
(defun rngreaterp (a b) (cond ((rgreaterp a b) *f*) (t t)))
