; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Check if two rational numbers are not in ascending
; order. Return *T*, if A>=B (A not less than B) and
; otherwise *F*.

; ---args---
; A - rational number
; B - rational number

; ---keywords---
; RNLESSP function, not less than, greater than or equal to,
; ordering, relation, comparison, predicate, rational

; ---see-also---
; digits, rlessp, nlessp, inlessp, rngreaterp, equal

; ---example---
; (rnlessp '(/ #2 #3) '(/ #4 #5))

:c lib/rlessp.l

; ---code---
(defun rnlessp (a b) (cond ((rlessp a b) *f*) (t t)))
