; ArrowLISP Library
; Copyright (C) 1998-2004 Nils M Holm. All rights reserved.
; See the file LICENSE of the ArrowLISP distribution
; for conditions of use.

; ---purpose---
; Sort a list. A predicate is used to define the
; desired order of members. It should return *T*
; for each two members in the desired order.
; SORT is merely an alias for QUICKSORT.

; ---args---
; A - list to sort
; P - predicate

; ---keywords---
; SORT function, sorting, ordering, quicksort

; ---see-also---
; isort, quicksort, orderedp, unsort

; ---example---
; :l lib/lessp.l
; (sort '(#5 #9 #1 #7 #3 #0 #2 #4 #8 #6) lessp)

:c lib/quicksort.l

; ---code---
(define sort quicksort)
